## wdm 0.1.0

=== DESCRIPTION ===
Package: wdm
Title: Weighted Dependence Measures
Version: 0.1.0
Authors@R: person("Thomas", "Nagler", email = "mail@tnagler.com", role = c("aut", "cre"))
Description: Provides efficient implementations of weighted dependence measures
  and related asymptotic tests for independence. Implemented measures are
  the Pearson correlation, Spearman's rho, Kendall's tau, Blomqvist's beta, and
  Hoeffding's D; see, e.g., Nelsen (2006) <doi:10.1007/0-387-28678-0> and
  Hollander et al. (2015, ISBN:9780470387375).
Depends: R (>= 3.2.0)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
LinkingTo: Rcpp
Imports: Rcpp
RoxygenNote: 6.0.1
URL: https://github.com/tnagler/wdm-r
BugReports: https://github.com/tnagler/wdm-r/issues
Suggests: testthat, Hmisc, copula, covr
NeedsCompilation: yes
Packaged: 2018-05-29 10:56:45 UTC; n5
Author: Thomas Nagler [aut, cre]
Maintainer: Thomas Nagler <mail@tnagler.com>
Repository: CRAN
Date/Publication: 2018-05-30 08:12:56 UTC

## wdm 0.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: wdm
 Title: Weighted Dependence Measures
-Version: 0.1.0
+Version: 0.1.1
 Authors@R: person("Thomas", "Nagler", email = "mail@tnagler.com", role = c("aut", "cre"))
 Description: Provides efficient implementations of weighted dependence measures
   and related asymptotic tests for independence. Implemented measures are
@@ -18,8 +18,8 @@
 BugReports: https://github.com/tnagler/wdm-r/issues
 Suggests: testthat, Hmisc, copula, covr
 NeedsCompilation: yes
-Packaged: 2018-05-29 10:56:45 UTC; n5
+Packaged: 2018-06-12 22:39:20 UTC; n5
 Author: Thomas Nagler [aut, cre]
 Maintainer: Thomas Nagler <mail@tnagler.com>
 Repository: CRAN
-Date/Publication: 2018-05-30 08:12:56 UTC
+Date/Publication: 2018-06-12 22:50:40 UTC

## wdm 0.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: wdm
 Title: Weighted Dependence Measures
-Version: 0.1.1
+Version: 0.2.0
 Authors@R: person("Thomas", "Nagler", email = "mail@tnagler.com", role = c("aut", "cre"))
 Description: Provides efficient implementations of weighted dependence measures
   and related asymptotic tests for independence. Implemented measures are
@@ -13,13 +13,13 @@
 LazyData: true
 LinkingTo: Rcpp
 Imports: Rcpp
-RoxygenNote: 6.0.1
+RoxygenNote: 6.1.0
 URL: https://github.com/tnagler/wdm-r
 BugReports: https://github.com/tnagler/wdm-r/issues
 Suggests: testthat, Hmisc, copula, covr
 NeedsCompilation: yes
-Packaged: 2018-06-12 22:39:20 UTC; n5
+Packaged: 2019-02-07 21:54:15 UTC; n5
 Author: Thomas Nagler [aut, cre]
 Maintainer: Thomas Nagler <mail@tnagler.com>
 Repository: CRAN
-Date/Publication: 2018-06-12 22:50:40 UTC
+Date/Publication: 2019-02-07 22:20:03 UTC

=== inst/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.2)

set(CMAKE_CXX_STANDARD 11)

project(wdm VERSION 0.1.0)

include(cmake/options.cmake               REQUIRED)

include(cmake/findDependencies.cmake      REQUIRED)

include(cmake/compilerDefOpt.cmake        REQUIRED)

include(cmake/buildTargets.cmake          REQUIRED)

include(cmake/printInfo.cmake             REQUIRED)

## wdm 0.2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: wdm
 Title: Weighted Dependence Measures
-Version: 0.2.0
+Version: 0.2.1
 Authors@R: person("Thomas", "Nagler", email = "mail@tnagler.com", role = c("aut", "cre"))
 Description: Provides efficient implementations of weighted dependence measures
   and related asymptotic tests for independence. Implemented measures are
@@ -13,13 +13,13 @@
 LazyData: true
 LinkingTo: Rcpp
 Imports: Rcpp
-RoxygenNote: 6.1.0
+RoxygenNote: 6.1.1
 URL: https://github.com/tnagler/wdm-r
 BugReports: https://github.com/tnagler/wdm-r/issues
 Suggests: testthat, Hmisc, copula, covr
 NeedsCompilation: yes
-Packaged: 2019-02-07 21:54:15 UTC; n5
+Packaged: 2019-04-11 12:42:09 UTC; n5
 Author: Thomas Nagler [aut, cre]
 Maintainer: Thomas Nagler <mail@tnagler.com>
 Repository: CRAN
-Date/Publication: 2019-02-07 22:20:03 UTC
+Date/Publication: 2019-04-11 13:20:02 UTC

## wdm 0.2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: wdm
 Title: Weighted Dependence Measures
-Version: 0.2.1
+Version: 0.2.2
 Authors@R: person("Thomas", "Nagler", email = "mail@tnagler.com", role = c("aut", "cre"))
 Description: Provides efficient implementations of weighted dependence measures
   and related asymptotic tests for independence. Implemented measures are
@@ -13,13 +13,13 @@
 LazyData: true
 LinkingTo: Rcpp
 Imports: Rcpp
-RoxygenNote: 6.1.1
+RoxygenNote: 7.1.1
 URL: https://github.com/tnagler/wdm-r
 BugReports: https://github.com/tnagler/wdm-r/issues
 Suggests: testthat, Hmisc, copula, covr
 NeedsCompilation: yes
-Packaged: 2019-04-11 12:42:09 UTC; n5
+Packaged: 2020-08-02 14:13:24 UTC; n5
 Author: Thomas Nagler [aut, cre]
 Maintainer: Thomas Nagler <mail@tnagler.com>
 Repository: CRAN
-Date/Publication: 2019-04-11 13:20:02 UTC
+Date/Publication: 2020-08-02 15:20:02 UTC

## wdm 0.2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: wdm
 Title: Weighted Dependence Measures
-Version: 0.2.2
+Version: 0.2.3
 Authors@R: person("Thomas", "Nagler", email = "mail@tnagler.com", role = c("aut", "cre"))
 Description: Provides efficient implementations of weighted dependence measures
   and related asymptotic tests for independence. Implemented measures are
@@ -10,16 +10,15 @@
 Depends: R (>= 3.2.0)
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
 LinkingTo: Rcpp
 Imports: Rcpp
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 URL: https://github.com/tnagler/wdm-r
 BugReports: https://github.com/tnagler/wdm-r/issues
 Suggests: testthat, Hmisc, copula, covr
 NeedsCompilation: yes
-Packaged: 2020-08-02 14:13:24 UTC; n5
+Packaged: 2022-03-17 00:23:20 UTC; n5
 Author: Thomas Nagler [aut, cre]
 Maintainer: Thomas Nagler <mail@tnagler.com>
 Repository: CRAN
-Date/Publication: 2020-08-02 15:20:02 UTC
+Date/Publication: 2022-03-17 00:40:02 UTC

## wdm 0.2.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: wdm
 Title: Weighted Dependence Measures
-Version: 0.2.3
+Version: 0.2.4
 Authors@R: person("Thomas", "Nagler", email = "mail@tnagler.com", role = c("aut", "cre"))
 Description: Provides efficient implementations of weighted dependence measures
   and related asymptotic tests for independence. Implemented measures are
@@ -12,13 +12,13 @@
 Encoding: UTF-8
 LinkingTo: Rcpp
 Imports: Rcpp
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 URL: https://github.com/tnagler/wdm-r
 BugReports: https://github.com/tnagler/wdm-r/issues
 Suggests: testthat, Hmisc, copula, covr
 NeedsCompilation: yes
-Packaged: 2022-03-17 00:23:20 UTC; n5
+Packaged: 2023-08-10 06:33:37 UTC; n5
 Author: Thomas Nagler [aut, cre]
 Maintainer: Thomas Nagler <mail@tnagler.com>
 Repository: CRAN
-Date/Publication: 2022-03-17 00:40:02 UTC
+Date/Publication: 2023-08-10 17:20:02 UTC

## wdm 0.2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: wdm
 Title: Weighted Dependence Measures
-Version: 0.2.4
+Version: 0.2.6
 Authors@R: person("Thomas", "Nagler", email = "mail@tnagler.com", role = c("aut", "cre"))
 Description: Provides efficient implementations of weighted dependence measures
   and related asymptotic tests for independence. Implemented measures are
@@ -12,13 +12,13 @@
 Encoding: UTF-8
 LinkingTo: Rcpp
 Imports: Rcpp
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.2
 URL: https://github.com/tnagler/wdm-r
 BugReports: https://github.com/tnagler/wdm-r/issues
 Suggests: testthat, Hmisc, copula, covr
 NeedsCompilation: yes
-Packaged: 2023-08-10 06:33:37 UTC; n5
+Packaged: 2025-01-07 19:24:12 UTC; n5
 Author: Thomas Nagler [aut, cre]
 Maintainer: Thomas Nagler <mail@tnagler.com>
 Repository: CRAN
-Date/Publication: 2023-08-10 17:20:02 UTC
+Date/Publication: 2025-01-07 20:10:01 UTC

## wdm 1.28

=== debian/changelog ===
wdm (1.28-27.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15. (Closes: #1098087)
  * Add libcrypt-dev to Build-Depends. (Closes: #1106925)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Oct 2025 15:28:08 +0300

wdm (1.28-27) unstable; urgency=medium

  [ Axel Beckert ]
  * Add seemingly suddenly missing build-dependency on
    libpango1.0-dev. (Closes: #1050522)
  * Replace dependency on lsb-base with dependency on "sysvinit-utils (>=
    3.05-4~)".
  * Update lintian overrides where needed. (Mostly format changes.)
  * Declare compliance with Debian Policy 4.6.2. (No changes needed.)
  * Bump packaging copyright years in debian/control. Thanks Lintian!

  [ DebConf Template Translations ]
  * Updated pt_BR by Paulo Henrique de Lima Santana. (Closes: #1028255)
  * Added ro by Remus-Gabriel Chelu. (Closes: #1033786)
  * Updated tr by Atila KOÇ. (Closes: #1037148)

 -- Axel Beckert <abe@debian.org>  Tue, 29 Aug 2023 03:31:18 +0200

wdm (1.28-26) unstable; urgency=low

  [ Axel Beckert ]
  * Use --no-stop-on-upgrade instead of --no-restart-on-upgrade. The
    latter will become deprecated. Requested by nthykier in #959678.
  * Drop --no-restart-after-upgrade again and build-depend on at least
    debhelper 13.1 instead as it fixed #959678.
  * Bump debian/watch version to 4.
  * Update lintian overrides wrt. to debhelper-changed install paths.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)
  * Update debian/watch to follow Github release vs tags changes.
  * Update lintian overrides to follow tag format changes.
  * Update copyright years in debian/copyright. Thanks Lintian!

  [ Martin Bagge ]
  * Update Swedish strings for wdm debconf. (Closes: #994688)

  [ Camaleón ]
  * Spanish translation of the debconf template (Closes: #962054,
    #1003387)

 -- Axel Beckert <abe@debian.org>  Thu, 28 Apr 2022 23:45:51 +0200

wdm (1.28-25) unstable; urgency=medium

  [ Rui Branco ]
  * Update Portuguese translation for debconf. (Closes: #914430)

  [ Joe Hansen ]
  * Update Danish translation of the debconf template. (Closes: #923127)

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.5.0. (No changes needed.)
  * Update 03_autoconf.patch to use pkg-config for libwings 0.95.9
    compatibility. (Closes: #959646)
  * Add config.log to debian/clean to be able to build twice in a row.
  * debian/rules: Drop -Wl,--as-needed linker flag which is now default.
  * Rename debian/NEWS.Debian to debian/NEWS. Thanks Lintian!
  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
    + Rename debian/wdm.tmpfile to debian/wdm.tmpfiles.
    + Add a dh_installsystemd override as the dh_installinit override no
      more suffices.
  * Add ${perl:Depends} to Depends as hinted by dpkg-gencontrol.
  * Update wdm.service to use Alias=display-manager.service instead of
    using ExecStartPre to check which display manager should currently be
    running. (Closes: #950395)

 -- Axel Beckert <abe@debian.org>  Sun, 03 May 2020 17:35:45 +0200

wdm (1.28-24) unstable; urgency=medium

  [ Markus Hiereth ]
  * German debconf translation update (Closes: #886627)

  [ Axel Beckert ]
  * Drop voins.program.ru from debian/watch, it now also no more resolves.
  * Declare compliance with Debian Policy 4.2.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sat, 20 Oct 2018 03:14:32 +0200

wdm (1.28-23) unstable; urgency=medium

  [ Lev Lamberov ]
  * Updated Russian translation of debconf template. (Closes: #883990)

  [ Alban Vidal ]
  * Updated French translation of debconf template. (Closes: #886205)

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)
  * Bump debhelper compatibility level to 11.
    + Update versioned build-dependency on debhelper accordingly.
  * Convert all remaining non-UTF-8 debconf template translations to
    UTF-8.
  * Update Vcs-* headers for switch to salsa.debian.org.

 -- Axel Beckert <abe@debian.org>  Wed, 03 Jan 2018 04:59:52 +0100

wdm (1.28-22) unstable; urgency=medium

  [ Frans Spiesschaert ]
  * Update Dutch translation of debconf messages. (Closes: #881399)

  [ Axel Beckert ]
  * Set "Rules-Requires-Root: no".
  * Switch NASA URLs in debian/copyright to HTTPS. Thanks DUCK!
  * Add debian/duck-override for "moved to" false positive on
    web.archive.org.

 -- Axel Beckert <abe@debian.org>  Sun, 12 Nov 2017 03:18:34 +0100

wdm (1.28-21) unstable; urgency=low

  * update_wdm_wmlist: Don't call update-alternatives for an alternative
    which is not present, e.g. if no x-session-manager is installed.
  * Refactor update_wdm_wmlist towards modern Perl code.
  * Add .service and .tmpfile files. (Closes: #761642)
    + Update /etc/X11/default-display-manager handling from xdm
      1:1.1.11-3 including /etc/systemd/system/display-manager.service
      symlink handling.
    + Replaces "! -n" with "-z".
    + Thanks Laurent Bigonville for helpful hints!
    + Add lintian override for systemd-service-file-missing-install-key.
  * Declare compliance with Debian Policy 4.1.1.
  * Bump debhelper compatibility to 10.
    + Update versioned build-dependency on debhelper accordingly.
    + Remove hunk on configure from 03_autoconf.patch (but leave hunk on
      configure.ac).
  * Fix path to wdm-config in debian/rules.
  * Fix lintian warning using-imperative-form-in-templates by dropping the
    phrase "Select the" at the beginning of the template description.
  * Change all bugs.debian.org references in debian/patches to HTTPS.
  * Convert debian/copyright to machine-readable DEP5 format.
    + Remove lintian override for spelling-error-in-copyright.
  * Update upstream and copyright holder e-mail addresses.
  * Update packaging copyright holders and years.

 -- Axel Beckert <abe@debian.org>  Sun, 08 Oct 2017 23:40:29 +0200

wdm (1.28-20) unstable; urgency=medium

  * Stop plymouth before starting wdm. (Closes: #860464)


=== debian/control ===
Source: wdm
Section: x11
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Homepage: https://github.com/voins/wdm
Vcs-Git: https://salsa.debian.org/debian/wdm.git
Vcs-Browser: https://salsa.debian.org/debian/wdm
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13),
# Needed due to #959678 in debhelper/13
               debhelper (>= 13.1~),
               dpkg-dev (>= 1.15.7~),
               libcrypt-dev,
               libgif-dev,
               libjpeg-dev,
               libpam0g-dev,
               libpango1.0-dev,
               libpng-dev,
               libselinux1-dev [linux-any],
               libwings-dev,
               libwraster-dev,
               libx11-dev,
               libxau-dev,
               libxdmcp-dev,
               libxft-dev,
               libxinerama-dev,
               libxkbfile-dev,
               libxmu-dev,
               libxpm-dev,
               libxt-dev,
               po-debconf,
               x11-xserver-utils,
               x11proto-core-dev,
               zlib1g-dev
Rules-Requires-Root: no

Package: wdm
Architecture: any
Depends: debconf (>= 1.5.20) | debconf-2.0,
         libpam-modules,
         libpam-runtime (>= 0.76-13.1),
         sysvinit-utils (>= 3.05-4~),
         psmisc,
         x11-apps,
         x11-common,
         x11-utils,
         x11-xserver-utils,
         xserver-xorg | xserver,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: xfonts-base
Provides: x-display-manager
Description: WINGs Display Manager - an xdm replacement with a WindowMaker look
 This is an xdm replacement based on the WINGs widget set.  WINGs is the
 NeXT-like widget set used by WindowMaker and some other programs.  wdm
 provides a nice and versatile login panel along with xdm functionality.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# GNU copyright 1998, 1999 Marcelo Magallon <mmagallo@debian.org>
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

WDM_SYSCONF_DIR        := /etc/X11
WDM_CONF_DIR           := $(WDM_SYSCONF_DIR)/wdm
WDM_CONFIG_FILE        := wdm-config
WDM_CONF_FILE          := debian/etc-X11-wdm/$(WDM_CONFIG_FILE)

DEF_WDM_CONFIG_PATH    := $(WDM_CONF_DIR)/$(WDM_CONFIG_FILE)
DEF_DEBIAN_SYSTEM_PATH := $(shell grep systemPath: $(WDM_CONF_FILE) | cut -d : -f 2- | tr -d [:blank:])
DEF_DEBIAN_USER_PATH   := $(shell grep userPath: $(WDM_CONF_FILE) | cut -d : -f 2- | tr -d [:blank:])
DEF_DEBIAN_CHOOSER     := /usr/lib/X11/xdm/chooser
DEF_DEBIAN_AUTH_DIR    := /var/lib/wdm
DEF_DEBIAN_PAM_PATH    := /etc/pam.d

WDM_BUILD_DIR          := $(shell pwd)/debian/wdm

# wdm build structure is ancient and links against unneeded libs.
# Make sure this does not happen.
LDFLAGS            := $(shell dpkg-buildflags --get LDFLAGS)

export LDFLAGS

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  --datadir=/usr/share \
	  --sysconfdir=$(WDM_SYSCONF_DIR) \
	  --localstatedir=/var/lib/wdm \
	  --with-gfxdir=/usr/share/pixmaps \
	  --enable-shadow \
	  --enable-pam \
	  --enable-aafont \
	  --with-pamdir=$(DEF_DEBIAN_PAM_PATH) \
	  --enable-selinux \
	  --with-wdmdir=$(WDM_CONF_DIR) \
	  --with-defuserpath=$(DEF_DEBIAN_USER_PATH) \
	  --with-defsystempath=$(DEF_DEBIAN_SYSTEM_PATH) \
	  --with-nlsdir=/usr/share/locale \
	  --enable-exitlogin
	sed \
	  -e '/DEF_CHOOSER/     s|".*"|"$(DEF_DEBIAN_CHOOSER)"|' \
	  -e '/DEF_AUTH_DIR/    s|".*"|"$(DEF_DEBIAN_AUTH_DIR)"|' \
	  -e '/DEF_XDM_CONFIG/  s|".*"|"$(DEF_WDM_CONFIG_PATH)"|' \
	  -i include/config.h

override_dh_clean:
	debconf-updatepo
	dh_clean -Xconfigs/Xsession.orig

override_dh_prep:
	dh_prep -Xconfigs/Xsession.orig

override_dh_installinit:
	dh_installinit --noscripts

override_dh_installsystemd:
	dh_installsystemd --no-stop-on-upgrade

override_dh_installman:
	cp doc/wdm.man debian/man/wdm.1x
	cp doc/wdmLogin.man debian/man/wdmLogin.1x
	dh_installman

override_dh_auto_install:
	$(MAKE) install-nls-yes DESTDIR=$(WDM_BUILD_DIR)

override_dh_fixperms:
	dh_fixperms
	chmod 600 \
	  $(WDM_BUILD_DIR)/$(WDM_CONF_DIR)/wdm-config

=== debian/watch ===
version=4

# Track upstream's git repository as well as its semi-official but
# currently unfinished fork. -- Axel Beckert, 25-Apr-2015

opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/voins/wdm/tags (?:.*/)?wdm[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/raorn/wdm/tags (?:.*/)?wdm[_\-\.]?(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
